Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.2 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23461

Description

Hi, I just install last version of QGIS and there is 2 problems, I have 2 Vector menu...and the fonction for merge polygon with merge field is

disappear, this is a very big problem for a lot of thing.

History

#1 - 2016-09-07 03:22 AM - Bernd Vogelgesang

I had a similar problem on Linux Mint/Ubuntu. 

I guess that it has to do with conflicting versions of processing, remaining from older installs.

Making a real "clean" install by removing all traces of old versions did the trick for me.

Linux: backup & remove .config/QGIS/QGIS.conf and backup & remove .qgis2 folder

Inspect QGIS.conf for stored WMS connections and other things that might want to be reused in the new install. From .qgis2, for example keep the

python/plugins folder to be able to copy to the new install.

Windows: presumably same actions, though removing registry entries instead of QGIS.conf

Mabye less actions can lead to the same effect (maybe only remove processing from .qgis2, removing certain parts of the configuration), but I have not

enough knowledge about that.

I think this is really a nasty bug, leaving ordinary users with a corrupted install.

#2 - 2016-09-13 05:35 AM - Alexander Bruy

- Status changed from Open to Feedback

#3 - 2016-09-23 03:14 AM - Harrissou Santanna

@Alexander, I wonder if the problem of double Vector menus is not related to 

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/gui/menus.py#L20

vectorMenu = QApplication.translate('MainWindow', 'Vect&or')

The vector menu is translated before functions are added to it, so old FTools functions are added under a localized menu.

#4 - 2017-01-03 05:10 AM - Giovanni Manghi

The vector menu is translated before functions are added to it, so old FTools functions are added under a localized menu.
ftools has gone, so this should not be an issue anymore.

#5 - 2017-01-03 05:18 AM - Giovanni Manghi

I think this is really a nasty bug, leaving ordinary users with a corrupted install.

Processing updates are not shipped anymore as plugin updates, only with new qgis releases, so the problem of old Processing installations masking the

new ones is progressively fading away.

#6 - 2017-01-03 05:19 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback, please reopen if necessary.

#7 - 2017-01-03 05:23 AM - Harrissou Santanna

ftools has gone, so this should not be an issue anymore.

Actually, It still is. See https://github.com/qgis/qgis3_UIX_discussion/issues/27 (from master)- I can't really figure out the logic behind: is it at code level or

transifex?

Note that by "old fTools", I didn't mean the real tools from fTools (that were removed) but the algorithms from Processing that replace them.

#8 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

2025-04-26 2/2

https://github.com/qgis/qgis3_UIX_discussion/issues/27

